Set the verdict for an observed hostname (denied = dropped at the collector)
PUT
/v1/domains/{id}/hostnames/{hostname}
const url = 'https://api.monita.ai/v1/domains/example/hostnames/example';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"status":"unreviewed"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.monita.ai/v1/domains/example/hostnames/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "status": "unreviewed" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
hostname
required
string
Request Body
Section titled “Request Body”Media typeapplication/json
object
status
required
string
Responses
Section titled “Responses”Saved
Media typeapplication/json
object
ok
required
boolean
Examplegenerated
{ "ok": true}Not found
Media typeapplication/json
object
error
required
string
Examplegenerated
{ "error": "example"}